syndaemon(1)

NAME

syndaemon - a program that monitors keyboard activity and disables the touchpad when the keyboard is being used.

SYNOPSIS

syndaemon [-i idle-time] [-d] [-p pid-file] [-t] [-k] [-K] [-R] [-s]

DESCRIPTION

Disabling the touchpad while typing avoids unwanted movements of the pointer that could lead to giving focus to the wrong window.

OPTIONS

-i <idle-time>
    How many seconds to wait after the last key press before enabling the touchpad. (default is 2.0s).

-d  Start as a daemon, ie in the background.

-p <pid-file>
    Create a pid file with the specified filename. A pid file will only be created if the program is started in daemon mode.

-t  Only disable tapping and scrolling, not mouse movements, in response to keyboard activity.

-k  Ignore modifier keys when monitoring keyboard activity.

-K  Like -k but also ignore Modifier+Key combos.

-R  Use the XRecord extension for detecting keyboard activity instead of polling the keyboard state.

-s  Use a shared memory area to enable/disable the touchpad instead of device properties. WARNING: The SHM mechanism is not secure if you are in an untrusted multiuser environment. All local users can change the parameters at any time. This option requires the driver Option "SHMConfig" to be enabled.

ENVIRONMENT VARIABLES

DISPLAY
    Specifies the X server to contact.

CAVEATS

It doesn't make much sense to connect to a remote X server, because the daemon will then monitor the remote server for keyboard activity, but will disable the touchpad on the local machine.

AUTHORS

Peter Osterlund <petero2@telia.com>.

This man page was written by Mattia Dongili <malattia@debian.org>

SEE ALSO

Xorg(1), synclient(1), synaptics(4)